
var fromtogmap = {
  onLoad: function() {
    // initialization code
    this.initialized = true;

  },

	// Taken from the DictionarySearch extension by Jaap Haitsma <jaap@haitsma.org>
	getSelectedText : function(){
		var node = document.popupNode;
		var selection = "";

		if ((node instanceof HTMLTextAreaElement) || (node instanceof HTMLInputElement && node.type == "text")) 
			{
				selection = node.value.substring(node.selectionStart, node.selectionEnd);
			}
			else 
			{
				var focusedWindow = new XPCNativeWrapper(document.commandDispatcher.focusedWindow, 'document', 'getSelection()');
				selection = focusedWindow.getSelection().toString();
			}
		//alert('getselect '+selection);
		// Addresses longer than 200 characters are probably bogus anyway...
		if (selection.length > 200)
			{
				selection = selection.substring(0, 199);
			}
		selection = selection.replace(/(\n|\r|\t|(\r\n))+/g, " ");

		// Strip spaces at start and end.
		selection = selection.replace(/(^\s+)|(\s+$)/g, "");
		selection = selection.split(" ");
		// Remove certain characters at the beginning and end of every word
		for ( var i = 0; i < selection.length; i++)
			{
				selection[i] = selection[i].replace(/^(\&|\(|\)|\[|\]|\{|\}|"|,|\.|!|\?|'|:|;)+/, "");
				selection[i] = selection[i].replace(/(\&|\(|\)|\[|\]|\{|\}|"|,|\.|!|\?|'|:|;)+$/, "");
			}
		selection = selection.join(" ");
		return selection;
	},
   
 showContextMenu: function(event) {
    // show or hide the menuitem based on what the context menu is on
    document.getElementById("context-fromtogmap").hidden = gContextMenu.onImage;
    document.getElementById("context-fromtogmap-th").hidden = !(GetNumSelectedMessages() > 0);
  },

  onMenuItemCommand: function() {
	var selectedText = fromtogmap.getSelectedText();
	//alert ('onMenuItemCommand 1 '+','+selectedText+',');
	if(selectedText == '')
		{
		//alert ('onMenuItemCommand if '+selectedText);
		selectedText = 'NoSel';   
		};
	//fromtogmap.init_localisation();
	const {classes: Cc, interfaces: Ci, utils: Cu} = Components;
	var gBundle = Cc["@mozilla.org/intl/stringbundle;1"].getService(Ci.nsIStringBundleService);
	var mesmots = gBundle.createBundle("chrome://fromtogmap/locale/fromtogmap.properties");

	 var title_depart = mesmots.GetStringFromName("titledepart");
	 var title_Destination=mesmots.GetStringFromName("titleDestination"); 
	 var title_Calcul = mesmots.GetStringFromName("titleCalcul");
	 var title_Carte=mesmots.GetStringFromName("titleCarte"); 
	 var title_Distance = mesmots.GetStringFromName("titleDistance");
	 var title_Temps=mesmots.GetStringFromName("titleTemps"); 
	 var title_Itineraire=mesmots.GetStringFromName("titleItineraire");
	 var title_Prefs=mesmots.GetStringFromName("titlePrefs");
	 var title_Legend=mesmots.GetStringFromName("titleLegend");
	 var title_Cost=mesmots.GetStringFromName("titleCost");
	 var error_start=mesmots.GetStringFromName("errorstart");
	 var error_end=mesmots.GetStringFromName("errorend");
	 var error_calc=mesmots.GetStringFromName("errorcalc");
	//alert('onMenuItemCommand 2 '+title_depart+ ',' +title_Destination+ ',' +title_Calcul+ ',' +title_Carte+ ',' +title_Distance+ ',' +title_Temps+ ',' + title_Prefs+ ',' +selectedText);
	//window.openDialog("chrome://fromtogmap/content/fromtogmap.xul", "fromtogmap-windowname", "chrome,centerscreen,resizable=yes,alwaysRaised=yes",selectedText);
	window.openDialog("chrome://fromtogmap/content/fromtogmap.html", "fromtogmap-windowname", "chrome,centerscreen,resizable=yes,alwaysRaised=yes",title_depart, title_Destination, title_Calcul, title_Carte, title_Distance, title_Temps, 
					title_Prefs, title_Itineraire, selectedText, title_Legend, title_Cost,error_start, error_end, error_calc);
  }
};

window.addEventListener("load", function(e) { fromtogmap.onLoad(e); }, false); 
